Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PassCorridor Class Reference

`#include <PassCorridorCollection.h>`

List of all members.

## Public Member Functions
| PassCorridor ()
| Constructor.
void | reset ()
## Public Attributes
int | playerPoseIndex
| Index of the Player to whom the pass corridor belongs.
Player::playerNumber | playerNumber
double | openingAngle
| Opening Angle of the Corridor.
double | distance
| Distance to the player.
double | distanceToOppPlayer
| Orthogonal distance of the pass way to the nearst opponent player.
double | rate
| Rate of the pass.
double | rateDistanceToPartner
double | rateDistanceWin
double | rateDistanceBorderLine
double | rateWidthOfCorridor
double | rateAngleToPartner

## Constructor & Destructor Documentation

PassCorridor::PassCorridor | ( |  | ) | `[inline]`

| Constructor. Definition at line 25 of file PassCorridorCollection.h.

## Member Function Documentation

void PassCorridor::reset | ( |  | ) |

| Definition at line 11 of file PassCorridorCollection.cpp. References distanceToOppPlayer, pi, and rate. Referenced by PassCorridorCollection::reset().

## Member Data Documentation

int PassCorridor::playerPoseIndex

| Index of the Player to whom the pass corridor belongs. Definition at line 32 of file PassCorridorCollection.h. Referenced by PassSymbols::getAngleToPassReceiver().

Player::playerNumber PassCorridor::playerNumber

| Definition at line 34 of file PassCorridorCollection.h. Referenced by PassSymbols::getPlayerNumberOfReceiver().

double PassCorridor::openingAngle

| Opening Angle of the Corridor. In this area is non opponent player This name is missleading. The real opening angle is double the size of this one. Definition at line 41 of file PassCorridorCollection.h.

double PassCorridor::distance

| Distance to the player. Definition at line 46 of file PassCorridorCollection.h. Referenced by PassSymbols::getPassDistance().

double PassCorridor::distanceToOppPlayer

| Orthogonal distance of the pass way to the nearst opponent player. Definition at line 51 of file PassCorridorCollection.h. Referenced by reset().

double PassCorridor::rate

| Rate of the pass. Definition at line 56 of file PassCorridorCollection.h. Referenced by PassCorridorCollection::findBestPassCorridor(), PassCorridorCollection::getBestPassCorridorQuality(), and reset().

double PassCorridor::rateDistanceToPartner

| Definition at line 57 of file PassCorridorCollection.h. Referenced by PassCorridorCollection::findBestPassCorridor().

double PassCorridor::rateDistanceWin

| Definition at line 57 of file PassCorridorCollection.h. Referenced by PassCorridorCollection::findBestPassCorridor().

double PassCorridor::rateDistanceBorderLine

| Definition at line 57 of file PassCorridorCollection.h. Referenced by PassCorridorCollection::findBestPassCorridor().

double PassCorridor::rateWidthOfCorridor

| Definition at line 57 of file PassCorridorCollection.h. Referenced by PassCorridorCollection::findBestPassCorridor().

double PassCorridor::rateAngleToPartner

| Definition at line 57 of file PassCorridorCollection.h. Referenced by PassCorridorCollection::findBestPassCorridor().

The documentation for this class was generated from the following files:

- Representations/Cognition/PassCorridorCollection.h
- Representations/Cognition/PassCorridorCollection.cpp